CVE-2018-13794

NameCVE-2018-13794
DescriptionA heap-based buffer overflow exists in stbi__bmp_load_cont in stb_image.h in catimg 2.4.0.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs903711

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
catimg (PTS)buster2.5.0-1fixed
bookworm, sid, bullseye2.7.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
catimgsource(unstable)2.5.0-1903711

Notes

https://github.com/posva/catimg/issues/34
Upstream fixed the issue by updating the stb_image copy to v2.19.
https://github.com/posva/catimg/pull/41

Search for package or bug name: Reporting problems